=== scribus/desaxe/CMakeLists.txt ===

set(SCRIBUS_DESAXE_SOURCES
	desaxe/digester.cpp
	desaxe/digester_parse.cpp
	desaxe/saxfilter.cpp
	desaxe/saxiohelper.cpp
	desaxe/saxXML.cpp
	desaxe/uniqueid.cpp
)
