=== scribus/fonts/CMakeLists.txt ===
set(SCRIBUS_FONTS_SOURCES
  fonts/cff.cpp
  fonts/fontfeatures.cpp
  fonts/ftface.cpp
  fonts/scface.cpp
  fonts/scface_ps.cpp
  fonts/scface_ttf.cpp
  fonts/scfontmetrics.cpp
  fonts/sfnt.cpp
)
