=== scribus/plugins/CMakeLists.txt ===
add_subdirectory(barcodegenerator)
add_subdirectory(colorwheel)
add_subdirectory(export)
add_subdirectory(fileloader)
add_subdirectory(fontpreview)
add_subdirectory(gettext)
add_subdirectory(import)
add_subdirectory(picbrowser)
add_subdirectory(saveastemplateplugin)
if(NOT WANT_SCRIPTER2)
  #scripter1
  if(NOT WIN32)
    message(STATUS "Building with Scripter 1")
    if(NOT WANT_PYTHON_2X)
      add_subdirectory(scriptplugin)
    else()
      add_subdirectory(scriptplugin_py2x)
    endif()
  endif()
else()
  #scripter2
  message(STATUS "Building with Scripter 2")
  add_subdirectory(scripter)
endif()
add_subdirectory(shapes)
add_subdirectory(short-words)
add_subdirectory(tools)

# add_subdirectory(myplugin)
