=== scribus/styles/CMakeLists.txt ===
set(SCRIBUS_STYLES_MOC_CLASSES
)

set(SCRIBUS_STYLES_SOURCES
	styles/cellstyle.cpp
	styles/charstyle.cpp
	styles/linestyle.cpp
	styles/paragraphstyle.cpp
	styles/style.cpp
	styles/stylecontext.cpp
	styles/stylecontextproxy.cpp
	styles/tablestyle.cpp
)
