=== debian/changelog ===
scribus (1.5.8+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 16 Feb 2022 15:13:43 -0800

scribus (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.8+dfsg.
    https://www.scribus.net/scribus-1-5-8-released/
    https://w.scribus.net/wiki/index.php/1.5.8_Release
  * Update copyright.
  * Drop patches applied upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Jan 2022 18:06:18 +0100

scribus (1.5.7+dfsg-5) unstable; urgency=medium

  * Revert "d/rules: disable LTO, as it causes segfaults on startup"
    Going to apply a patch from upstream instead.
    This reverts commit cb3f802e0c70a0fbb8001603304c4cd7d8bea9e3.
  * Add patch from upstream to prevent a possible segfault when built with LTO.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Sep 2021 13:40:11 +0200
